import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Account } from '../models/account';
import { Environment } from '../models/environment';
import { Search } from '../models/search';
import * as i0 from "@angular/core";
export declare class AccountService {
    private environment;
    private http;
    constructor(environment: Environment, http: HttpClient);
    accounts(groupId: string): Observable<Account[]>;
    account(groupId: string, accountId: string): Observable<Account>;
    search(query: string): Observable<Search[]>;
    createAccount(groupId: string, account: Account): Observable<Account>;
    updateAccount(groupId: string, accountId: string, account: Account): Observable<Account>;
    deleteAccount(groupId: string, accountId: string): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccountService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AccountService>;
}
