import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Token } from '../models/token';
import { JwtService } from './jwt.service';
import { Environment } from '../models/environment';
import { User } from '../models/user';
import { LoginToken } from '../models/login-token';
import * as i0 from "@angular/core";
export declare class LoginService {
    private environment;
    private http;
    private jwtService;
    private readonly JWT_STORAGE_NAME;
    private userSubject;
    get user$(): Observable<User | null>;
    constructor(environment: Environment, http: HttpClient, jwtService: JwtService);
    private initialize;
    updateJwt(jwt: string): Observable<Token>;
    login(password: string): Observable<Token>;
    loginWithToken(token: LoginToken): Observable<Token>;
    createLoginToken(): Observable<LoginToken>;
    initialPassword(password: string): Observable<Token>;
    updatePassword(currentPassword: string, newPassword: string): Observable<void>;
    private info;
    logout(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LoginService>;
}
